package petsLy

import (
	"duoduo/models/mysqlLy"
	"duoduo/models/petsLy"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
)

func PetsList(c *gin.Context) {
	var inData petsLy.PetsListRequest
	var pets mysqlLy.Pets

	var pageSize = 10
	var pageIndex = 1

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	if inData.PageSize != 0 {
		pageSize = inData.PageSize
	}
	if inData.PageIndex != 0 {
		pageIndex = inData.PageIndex
	}

	pets.OpenId = inData.OpenId
	petsList, petsCount, err := pets.GetPetsList(pageSize, pageIndex)
	if err != nil {
		app.Error(c, 500, err, "")
		return
	}
	app.PageOK(c, petsList, petsCount, pageIndex, pageSize, "成功")

}
